<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.1/css/all.css"
    integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr" crossorigin="anonymous" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge" />
  <title>Homework-buttons</title>
  <style>
    .password-form {
      display: flex;
      flex-direction: column;
    }

    .input-wrapper {
      position: relative;
      width: intrinsic;
      width: -moz-max-content;
      width: -webkit-max-content;
    }

    .input-wrapper input {
      min-width: 120px;
      padding: 10px;
      margin-bottom: 24px;
    }

    .input-wrapper i {
      position: absolute;
      right: 10px;
      top: 12px;
      color: grey;
    }

    .btn {
      width: 150px;
    }

    .error-message{
      color: red;
      font-style: italic;
      font-size: 12px;
      position: absolute;
      top: 30px;
      left: 135px;
      position: absolute;
      top: 100px;
    }


  </style>
</head>

<body>
  <form class="password-form" action="#" type="POST">
    <label class="input-wrapper">
      Ввести пароль
      <input type="password" class='input-field enter' />
      <i class="fas fa-eye icon-password"></i>
    </label>
    <label class="input-wrapper">
      Подтвердить пароль
      <input type="password" class='input-field confirm' />
      <i class="fas fa-eye icon-password"></i>
    </label>
    <button type="submit" class="btn">Подтвердить</button>
  </form>


  <script>
    
    const showHide = document.querySelectorAll('.fas.icon-password')
    const passwordForm = document.querySelector('.password-form')

    showHide.forEach(elem => elem.addEventListener('click', function () {
      const input = elem.previousElementSibling
      if (this.className === 'fas fa-eye icon-password') {
        this.className = 'fas fa-eye-slash icon-password'
        input.setAttribute('type', 'text')
      }
      else {
        this.className = 'fas fa-eye icon-password'
        input.setAttribute('type', 'password');
      }
    }))

    passwordForm.addEventListener('submit', function (e) {
      e.preventDefault()
      e.target = this.querySelector('.btn')
      const confirmField = document.querySelector('.input-field.confirm')
      const enterField = document.querySelector('.input-field.enter')

      if (confirmField.value === enterField.value) {
        alert('You are welcome')
      }
      else {
        confirmField.parentElement.insertAdjacentHTML('afterend', '<p class="error-message">Нужно ввести одинаковые значения</p> ')
      }
    })


  </script>
</body>

</html>